Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java	(revision 1719)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java	(revision 1720)
@@ -109,6 +109,10 @@
 
 	}
 
+	public void firePropertyChange(int propertyId) {
+		super.firePropertyChange(propertyId);
+	}
+	
 	/**
 	 * Inits the.
 	 *
@@ -187,8 +191,11 @@
 	 */
 	@Override
 	public String getPartName() {
-		String name = TXMUIMessages.bind(TXMUIMessages.p0Import,ImportModuleCustomization.getName(groovyscript.getName()));
-		return name;
+		if (main != null && main.getProject() != null) {
+			return TXMUIMessages.bind(TXMUIMessages.p0ImportWithP1,main.getProject().getName(),ImportModuleCustomization.getName(groovyscript.getName()));
+		} else {
+			return TXMUIMessages.bind(TXMUIMessages.p0Import,ImportModuleCustomization.getName(groovyscript.getName()));
+		}
 	}
 	
 	/* (non-Javadoc)
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 1719)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 1720)
@@ -44,6 +44,8 @@
 import org.eclipse.swt.layout.RowLayout;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Label;
+import org.eclipse.ui.IEditorPart;
+import org.eclipse.ui.IWorkbenchPartConstants;
 import org.eclipse.ui.forms.IManagedForm;
 import org.eclipse.ui.forms.editor.FormPage;
 import org.eclipse.ui.forms.events.HyperlinkAdapter;
@@ -1016,7 +1018,7 @@
 			loadParams();
 
 			this.editor.getMetaPage().reload();
-			
+			this.editor.firePropertyChange(IEditorPart.PROP_TITLE);
 		} catch (Exception e1) {
 			org.txm.utils.logger.Log.printStackTrace(e1);
 		}
@@ -1104,4 +1106,8 @@
 		if (project.getSrcdir() == null) return null;
 		return project.getSrcdir().getAbsolutePath();
 	}
+
+	public Project getProject() {
+		return project;
+	}
 }
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 1719)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 1720)
@@ -676,7 +676,7 @@
 outsidetextToedit = Hors texte à éditer
 
 p0Import = Import {0}
-
+p0ImportWithP1 = Import {1} de {0}
 p0ParametersInput = Saisie des paramètres de {0}
 
 p0ScriptFileDoesntExist = ** Le fichier de script {0} n''existe pas.
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 1719)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 1720)
@@ -511,8 +511,10 @@
 
 	public static String theP1P0CorpusWillBeReplaced;
 
-	public static String installingPreviousCorpusFromP0; 
+	public static String installingPreviousCorpusFromP0;
 
+	public static String p0ImportWithP1; 
+
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, TXMUIMessages.class);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1719)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1720)
@@ -675,7 +675,9 @@
 
 outsidetextToedit = Out of text to edit
 
-p0Import = {0} Import
+p0Import = {0} Import
+
+p0ImportWithP1 = {0} import with {1}
 
 p0ParametersInput = {0} parameters input
 
Index: tmp/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 1719)
+++ tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 1720)
@@ -293,12 +293,18 @@
 
 		// loads and recreate the existing projects, loadParameters() needs engines to be ready
 		if (workspace != null) {
+			if (monitor != null) {
+				monitor.setTaskName("Initializing corpora...");
+			}
 			workspace.loadProjectsFromProjectScopes();
 		} else {
 			System.out.println("Error: Toolbox not correctly initialized. Aborting workspace initialization.");
 		}
 
 		initializing = false;
+		if (monitor != null) {
+			monitor.setTaskName("");
+		}
 		return checkState();
 	}
 
